Issue 116936 - VBA Cells.Select fails in Calc 3.3, worked in 3.2
Summary: VBA Cells.Select fails in Calc 3.3, worked in 3.2
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: programming (show other issues)
Version: OOo 3.3
Hardware: All All
: P4 Trivial (vote)
Target Milestone: 3.4.0
Assignee: daniel.rentz
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-13 02:31 UTC by adiant
Modified: 2017-05-20 10:30 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description adiant 2011-02-13 02:31:57 UTC
The following code fragment fails in Calc Version 3.3, but worked in all 3.2
releases:
Option VBASupport 1
Sub SortToDo()
    Dim Doc As Object
    Doc = ThisComponent
    Cells.Select

The error message reads:
BASIC runtime error.
'1'

Type: com.sun.star.uno.RuntimeException
Message: unsatisfied query for interface of type ooo.vba.excel.XWorksheet!
Comment 1 daniel.rentz 2011-04-19 10:40:32 UTC
started
Comment 2 daniel.rentz 2011-04-19 10:55:02 UTC
fixed in CWS calc69